## Optionen

### Verwendung

Sie können beim Aufrufen des Database Analyzer Optionen angeben:

dbanalyzer [<option_list>]

<option_list> : = <option> | <option> <option> ...

Option | Beschreibung
-c <level> | Anzeigen von Debugging-Informationen Sie können einen Wert zwischen 1 (wenig) und 4 (viel) angeben. Wenn Sie -c nicht angeben, dann erfolgt werden keine Debugging-Informationen angezeigt
-d <database_name> | Name der Datenbankinstanz
-delete <date> | löscht alle Analysedaten und Protokolle des Database Analyzer bis inklusive des Datums <date> Geben Sie <date> im Format YYYYMMDD an.
-f <configfile> | Name der Konfigurationsdatei Wenn Sie keine Konfigurationsdatei angeben, dann verwendet der Database Analyzer die Datei dbanalyzer<version>.cfg im Datenbankverzeichnis <dependent_path>/env. Siehe ● Konzepte des Datenbanksystems, Konfigurationsdateien ● Installationshandbuch, Verzeichnisse
-i | Löschen bereits vorhandener Protokolldateien desselben Tags
-n <database_computer> | Name des Rechners, auf dem die Datenbankinstanz läuft Wenn Sie den Rechnernamen angeben, dann müssen Sie mit der Option –o auch das Verzeichnis für die Protokolldateien angeben. Siehe Konzepte des Datenbanksystems, Protokolldateien
-noenv | Unterdrücken der Protokollierung und der Ausgabe der Umgebungsvariablen aus der Konfigurationsdatei
-nologo | Unterdrücken der Logo-Ausgabe
-o <outputdir> | Verzeichnis für die Protokolldateien Wenn Sie den Database Analyzer auf dem Rechner starten, auf dem die Datenbankinstanz installiert ist, müssen Sie –o nicht angeben. Wenn Sie -o nicht angeben, dann verwendet der Database Analyzer das Unterverzeichnis analyzer im Arbeitsverzeichnis der Datenbankinstanz.
-state | Anzeigen von Informationen zum laufenden Database Analyzer
-stop | Stoppen des Database Analyzer
-t <interval>[,<number>] | Zeitintervall <interval> zwischen zwei Analysen (in Sekunden) und Zahl <number> der gewünschten Analysen Vorschlagswert des Systems für <interval> ist 900 sec. Wenn Sie für <number> einen Wert angeben, dann beendet sich das Programm Database Analyzer nach der entsprechenden Anzahl von Analysen.
-u <database_user>,<database_user_password> | Name und Kennwort des Datenbankbenutzers
-V | Anzeigen der Version des Database Analyzer
-? | Anzeigen der Hilfe zum Database Analyzer